Can I downgrade firmware from v 2.0.9 to v 2.0.8 on Canon 5D2 ?

Started Sep 25, 2011 | Discussions
nitroman Regular Member • Posts: 157
Can I downgrade firmware from v 2.0.9 to v 2.0.8 on Canon 5D2 ?

Hi !

I've got a Canon 5D Mark II running the latest firmware v 2.0.9.

However, I'd like to take advantage of Magic Lantern's expanded AEB (Auto Exposure Bracket) function and the latest version of ML only works with firmware 2.0.8.

Is it possible (and easy) to downgrade my firmware to the older version that works with Magic Lantern ?

Any advice would be much appreciated. Thanks ...

Professional photographer specialising in people, places and panoramic imagery
http://www.rodedwards.com

 nitroman's gear list:nitroman's gear list
Canon EOS 5DS
DotCom Editor Veteran Member • Posts: 7,646
Latest Magic Lantern runs with 2.0.9 5D2 firmware
 DotCom Editor's gear list:DotCom Editor's gear list
Canon EOS 5D Mark II Canon EOS 5D Mark IV Epson Stylus Pro 3880 +3 more
OP nitroman Regular Member • Posts: 157
Re: Latest Magic Lantern runs with 2.0.9 5D2 firmware

Thanks for the link, but i don't think that version of ML (AJ 5.9) supports expanded Auto Exposure Bracketing.

The older version of ML "Classic" v 0.1.9 does support expanded AEB to 11 stops but only runs on Canon Firmware 2.0.8 and i updated to 2.0.9 a few weeks ago - hence the need to downgrade to 2.0.8.

http://magiclantern.wikia.com/wiki/Download_firmware/5D_Mark_II

I've contacted Trammell who wrote ML Classic but not hear back yet about any update. In addition to this, the older version is fully tested and would probably be more reliable.

Any suggestions ?

Professional photographer specialising in people, places and panoramic imagery
http://www.rodedwards.com

 nitroman's gear list:nitroman's gear list
Canon EOS 5DS
alex-ml New Member • Posts: 13
Re: Latest Magic Lantern runs with 2.0.9 5D2 firmware

I've found a copy of 2.0.8 firmware here:
http://all4smartphone.com/personal/download/canon/5d-firmware/

Let me know if it works, so I can place the link the wiki.

bigdaddave Senior Member • Posts: 1,163
Re: Can I downgrade firmware from v 2.0.9 to v 2.0.8 on Canon 5D2 ?

I just wouldn't do this.

If you are a video maker then maybe, just maybe it might be worth the risk.

But if all you really need is extra brackets I'd just switch to manual mode and do them myself (you're going to be on a tripod anyway)

Not nearly worth the risk IMHO

OP nitroman Regular Member • Posts: 157
Re: Latest Magic Lantern runs with 2.0.9 5D2 firmware

Hi !

I've actually downloaded those firmware files but they look different to the official Canon .fir 2.0.9 i've just downloaded from Canon website. I wonder if one is Mac and one is for Windows PC.

I've spoken to canon Cps (pro service in UK) and they've advised me that it's quite possible to downgrade firmware from new version to older version BUT they advised me to send it in to Canon for them to do it and test. Small service charge would be involved but could be done while I wait.

Interestingly enough, they also advised me that Magic Lantern firmware would not invalidate my Canon Warranty as it's not a hardware modification. Though I'm reluctant to find out for sure

I need Expanded AEB for creating HDR Time Lapse on my 5D2. Three frame EAB just doesn't cut the mustard at the moment ...

-- hide signature --

Professional photographer specialising in people, places and panoramic imagery
http://www.rodedwards.com

 nitroman's gear list:nitroman's gear list
Canon EOS 5DS
Keyboard shortcuts:
FForum MMy threads